Bullet Collision Detection & Physics Library: btTypedConstraintDoubleData Struct Reference

Bullet Collision Detection & Physics Library

Public Attributes | List of all members
btTypedConstraintDoubleData Struct Reference

`#include <btTypedConstraint.h>`

Collaboration diagram for btTypedConstraintDoubleData:
[legend]

## Public Attributes
btRigidBodyDoubleData * | m_rbA
btRigidBodyDoubleData * | m_rbB
char * | m_name
int | m_objectType
int | m_userConstraintType
int | m_userConstraintId
int | m_needsFeedback
double | m_appliedImpulse
double | m_dbgDrawSize
int | m_disableCollisionsBetweenLinkedBodies
int | m_overrideNumSolverIterations
double | m_breakingImpulseThreshold
int | m_isEnabled
char | padding [4]

## Detailed Description

Definition at line 410 of file btTypedConstraint.h.

## Member Data Documentation

## ◆ m_appliedImpulse

double btTypedConstraintDoubleData::m_appliedImpulse

Definition at line 421 of file btTypedConstraint.h.

## ◆ m_breakingImpulseThreshold

double btTypedConstraintDoubleData::m_breakingImpulseThreshold

Definition at line 427 of file btTypedConstraint.h.

## ◆ m_dbgDrawSize

double btTypedConstraintDoubleData::m_dbgDrawSize

Definition at line 422 of file btTypedConstraint.h.

## ◆ m_disableCollisionsBetweenLinkedBodies

int btTypedConstraintDoubleData::m_disableCollisionsBetweenLinkedBodies

Definition at line 424 of file btTypedConstraint.h.

## ◆ m_isEnabled

int btTypedConstraintDoubleData::m_isEnabled

Definition at line 428 of file btTypedConstraint.h.

## ◆ m_name

char* btTypedConstraintDoubleData::m_name

Definition at line 414 of file btTypedConstraint.h.

## ◆ m_needsFeedback

int btTypedConstraintDoubleData::m_needsFeedback

Definition at line 419 of file btTypedConstraint.h.

## ◆ m_objectType

int btTypedConstraintDoubleData::m_objectType

Definition at line 416 of file btTypedConstraint.h.

## ◆ m_overrideNumSolverIterations

int btTypedConstraintDoubleData::m_overrideNumSolverIterations

Definition at line 425 of file btTypedConstraint.h.

## ◆ m_rbA

btRigidBodyDoubleData* btTypedConstraintDoubleData::m_rbA

Definition at line 412 of file btTypedConstraint.h.

## ◆ m_rbB

btRigidBodyDoubleData* btTypedConstraintDoubleData::m_rbB

Definition at line 413 of file btTypedConstraint.h.

## ◆ m_userConstraintId

int btTypedConstraintDoubleData::m_userConstraintId

Definition at line 418 of file btTypedConstraint.h.

## ◆ m_userConstraintType

int btTypedConstraintDoubleData::m_userConstraintType

Definition at line 417 of file btTypedConstraint.h.

## ◆ padding

char btTypedConstraintDoubleData::padding[4]

Definition at line 429 of file btTypedConstraint.h.

The documentation for this struct was generated from the following file:

- btTypedConstraint.h